--------------------------------
-- Ivan Levashew aka OCTAGRAM --
--              Barnaul, 2010 --
--------------------------------

with System; use System;
with Turbo_Private.Bits; use Turbo_Private.Bits;
with Turbo_Private.Memory.Fill_Byte_Fallback;
with Interfaces; use Interfaces;

procedure Turbo_Private.Memory.Fill_Byte
  (Target : Address; Amount : Unsigned_Addr; Item : Unsigned_8)
    renames Turbo_Private.Memory.Fill_Byte_Fallback;
pragma Preelaborate (Turbo_Private.Memory.Fill_Byte);
